<?php

function ngg_wp_upload_tabs ($tabs) {
	$newtab = array('spyoutube' => __('spYouTube','spYouTube'));
    return array_merge($tabs,$newtab);
}

add_filter('media_upload_tabs', 'ngg_wp_upload_tabs');

function media_upload_spyoutube() {
	return wp_iframe( 'media_upload_spyoutube_form', $errors );
}

add_action('media_upload_spyoutube', 'media_upload_spyoutube');

function media_upload_spyoutube_form($errors) {
	global $wpdb, $wp_query, $wp_locale, $type, $tab, $post_mime_types, $ngg;

	media_upload_header();

	$form_action_url = get_option('siteurl') . "/wp-admin/media-upload.php?type={$GLOBALS['type']}&tab=spyoutube";
	$settings = spYouTubeGetSettings();
	?>
	<script type="text/javascript" src="/wp-content/plugins/spYouTube/js/scripts.js"></script>
	<form class="media-upload-form" id="library-form-<?=$entry->VideoID; ?>">
		<div id="media-items">
			<?
			$videos = hdYouTube::GetVideos($settings->spYouTubeUser);
			foreach ($videos as $entry) {
				$html = '[video id="'.$entry->VideoID.'"]';
				?>
				<div id="media-item-<?= $entry->VideoID; ?>" class="media-item preloaded">
					<img alt="" src="<?= $entry->Thumbnails[0]->Url; ?>" class="pinkynail toggle"/>
					<input type="hidden" name="videoid" value="<?= $entry->VideoID; ?>" />
					<a href="#" onclick="insertIntoPost('<?= stripslashes(htmlspecialchars($html)); ?>');" class="toggle describe-toggle-on "><? _e('Insert', 'spYouTube'); ?></a>
					<div class="filename new"><?= $entry->Title; ?> (<?= $entry->VideoID; ?>)</div>
				</div>
				<?
			}
			?>
		</div>
	</form>
	<?
}